// Prototypes for Shadow Door 
// based on the NWNX DLL

#pragma once

// Internal buffer
#define GAMEBUFSIZE 1024

// Functions to set up the DLL functionality
BOOL APIENTRY DllMain(HANDLE, DWORD, LPVOID);
void SetLocalStringHookProc();
char* GetLogDir();
DWORD FindHook();
SOCKET initServerSock();

// Handles communication with NWN
void PayLoad(char**, char**);

// Recieves data from the socket interface 
DWORD WINAPI RunListener(LPVOID);

// Prints to the logfile with timestamp
void logPrintf(const char *, ...);

