/***************************************************************************
    NWNX2Dlg.cpp - Dialog header file
    Copyright (C) 2003 Ingmar Stieger (Papillon)
    email: papillon@blackdagger.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ***************************************************************************/

#if !defined(AFX_NWNX2DLG_H__164C5F1E_BCDB_4186_B501_2626D4DE8669__INCLUDED_)
#define AFX_NWNX2DLG_H__164C5F1E_BCDB_4186_B501_2626D4DE8669__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CNWNX2Dlg dialog

class CNWNX2Dlg : public CDialog
{
// Construction
public:
	CNWNX2Dlg(CWnd* pParent = NULL);	// standard constructor

	unsigned int IDT_timer1;

// Dialog Data
	//{{AFX_DATA(CNWNX2Dlg)
	enum { IDD = IDD_NWNX2_DIALOG };
	CString	m_strCmdLine;
	int m_intCrashCounter;
	int m_intUpdateInterval;
	CString	m_strStarted;
	BOOL	m_boolWatchdog;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNWNX2Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CNWNX2Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnWatchdog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NWNX2DLG_H__164C5F1E_BCDB_4186_B501_2626D4DE8669__INCLUDED_)
